%global snapdate 20241222
%global commit0 b8b6a7cb7e7fb8b87ed72fdb1d49530c899642b2
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           kicad-nightly-doc
Version:        9.0.0~rc1
Release:        1.%{snapdate}git%{shortcommit0}%{?dist}
Epoch:          1
Summary:        Documentation for KiCad
License:        GPLv3+ or CC-BY
URL:            https://docs.kicad.org/

Source0:        https://gitlab.com/kicad/services/kicad-doc/-/archive/%{commit0}/kicad-doc-%{commit0}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  po4a
BuildRequires:  rubygem-asciidoctor

Recommends:     kicad-nightly

%description
KiCad is an open-source electronic design automation software suite for the
creation of electronic schematic diagrams and printed circuit board artwork.
This package provides the documentation for the nightly development build of
KiCad in multiple languages.


%prep

%autosetup -n kicad-doc-%{commit0}


%build

# HTML only
%cmake \
    -DKICAD_DOC_PATH=%{_docdir}/kicad-nightly/help \
    -DBUILD_FORMATS=html
%cmake_build


%install

%cmake_install


%files
%{_docdir}/kicad-nightly/help/
%license LICENSE.adoc LICENSE.CC-BY LICENSE.GPLv3


%changelog
